
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: cryptix: fix build

The version of cryptix shipped with Fedora 8 doesn't actually build
with the version of gcc-java shipped in Fedora 8.  This patch adds a
patch to the spec file that renames a local variable called 'enum'
to 'enum1' so that it builds again.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/cryptix.spec
===================================================================
--- SPECS.orig/cryptix.spec
+++ SPECS/cryptix.spec
@@ -38,7 +38,7 @@
 
 Name:		cryptix
 Version:	3.2.0
-Release:	9jpp.1
+Release:	9jpp.1.fa1
 Epoch:		0
 Summary:	Java crypto package
 License:	BSD style
@@ -46,6 +46,7 @@ Url:		http://www.cryptix.org
 Group:		Security/Cryptography
 Source0:	%{name}32-%{snapshot}-r%{version}-RHCLEAN.zip
 Source1:	%{name}.build.script
+Patch1:		cryptix-enum-fix.patch
 BuildRequires:	ant
 %if ! %{gcj_support}
 BuildArch:	noarch
@@ -76,6 +77,7 @@ Javadoc for %{name}.
 %prep
 rm -rf $RPM_BUILD_ROOT
 %setup -c
+%patch1 -p1
 cp %{SOURCE1} build.xml
 # remove all binary libs
 rm -fr $(find . -name "*.jar")
